<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019b616f-389b-7585-8d4d-0eb45b15b908,g:52e58e33-06b5-4212-a72b-89d2c7eaba63-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:op="http://www.op.fi/20251231" xmlns:xbrli="http://www.xbrl.org/2003/instance" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.op.fi/20251231">
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-fi.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-fi.xml" xlink:role="http://www.xbrl.org/2003/role/linkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="7437003B5WFBOIEFY714-2025-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="7437003B5WFBOIEFY714-2025-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="7437003B5WFBOIEFY714-2025-12-31_lab-fi.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="7437003B5WFBOIEFY714-2025-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" roleURI="http://www.op.fi/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement">
        <link:definition>[0000001] Statement of comprehensive income, profit or loss, by function of expense (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeOCIcomponentspresentedbeforetaxStatement" roleURI="http://www.op.fi/role/StatementofcomprehensiveincomeOCIcomponentspresentedbeforetaxStatement">
        <link:definition>[0000002] Statement of comprehensive income, OCI components presented before tax (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementoffinancialpositionorderofliquidityStatement" roleURI="http://www.op.fi/role/StatementoffinancialpositionorderofliquidityStatement">
        <link:definition>[0000003] Statement of financial position, order of liquidity (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofchangesinequityStatement" roleURI="http://www.op.fi/role/StatementofchangesinequityStatement">
        <link:definition>[0000004] Statement of changes in equity (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcashflowsdirectmethodStatement" roleURI="http://www.op.fi/role/StatementofcashflowsdirectmethodStatement">
        <link:definition>[0000005] Statement of cash flows, direct method (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Tagsthatmustbeappliedifcorrespondinginformationispresentinareport" roleURI="http://www.op.fi/role/Tagsthatmustbeappliedifcorrespondinginformationispresentinareport">
        <link:definition>[0000006] Tags that must be applied if corresponding information is present in a report</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="TagsthatmustbeappliedifcorrespondinginformationispresentinareportDetails" roleURI="http://www.op.fi/role/TagsthatmustbeappliedifcorrespondinginformationispresentinareportDetails">
        <link:definition>[0000007] Tags that must be applied if corresponding information is present in a report (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://www.op.fi/role/Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="op_FinanceIncomeExpensesFromInsuranceAndReinsuranceContractsHeldRecognisedInProfitOrLoss" abstract="false" name="FinanceIncomeExpensesFromInsuranceAndReinsuranceContractsHeldRecognisedInProfitOrLoss" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTradingAndGainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLoss" abstract="false" name="GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTradingAndGainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLoss" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_AmountsRemovedFromOperatingExpensesAndAdjustedInsuranceServiceResult" abstract="false" name="AmountsRemovedFromOperatingExpensesAndAdjustedInsuranceServiceResult" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_InvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtFairValueThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncomeAndFinancialAssets" abstract="false" name="InvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtFairValueThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncomeAndFinancialAssets" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_ProvisionsAndOtherLiabilities" abstract="false" name="ProvisionsAndOtherLiabilities" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_IssuedCapitalCooperativeShares" abstract="false" name="IssuedCapitalCooperativeShares" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_IssuedCapitalProfitShares" abstract="false" name="IssuedCapitalProfitShares" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_DividendsPaidAndCapitalDistribution" abstract="false" name="DividendsPaidAndCapitalDistribution" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_IncreaseDecreaseThroughChangesInCooperativeAndProfitShares" abstract="false" name="IncreaseDecreaseThroughChangesInCooperativeAndProfitShares" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_IncreaseDecreaseThroughOtherChangesEquity" abstract="false" name="IncreaseDecreaseThroughOtherChangesEquity" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_AdjustmentsForDecreaseIncreaseInAssets" abstract="false" name="AdjustmentsForDecreaseIncreaseInAssets" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_AdjustmentsForDecreaseIncreaseInInvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncome" abstract="false" name="AdjustmentsForDecreaseIncreaseInInvestmentPropertyInvestmentAccountedForUsingEquityMethodFinancialAssetsAtThroughProfitOrLossFinancialAssetsThroughOtherComprehensiveIncome" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_AdjustmentsForDecreaseIncreaseInAssetsUnderInsuranceContractsAndReinsuranceContractsIssued" abstract="false" name="AdjustmentsForDecreaseIncreaseInAssetsUnderInsuranceContractsAndReinsuranceContractsIssued" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_AdjustmentsForDecreaseIncreaseInReinsuranceAssets" abstract="false" name="AdjustmentsForDecreaseIncreaseInReinsuranceAssets" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_AdjustmentsForIncreaseDecreaseInLiabilities" abstract="false" name="AdjustmentsForIncreaseDecreaseInLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_AdjustmentsForIncreaseDecreaseInInsuranceContractLiabilities" abstract="false" name="AdjustmentsForIncreaseDecreaseInInsuranceContractLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_AdjustmentsForIncreaseDecreaseInReinsuranceLiabilities" abstract="false" name="AdjustmentsForIncreaseDecreaseInReinsuranceLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_AdjustmentsForIncreaseDecreaseInInvestmentContractsLiabilities" abstract="false" name="AdjustmentsForIncreaseDecreaseInInvestmentContractsLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" abstract="false" name="AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_IncreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities" abstract="false" name="IncreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_DecreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities" abstract="false" name="DecreaseInCooperativeAndProfitShareCapitalClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_DividendsPaidAndCapitalDistributionClassifiedAsFinancingActivities" abstract="false" name="DividendsPaidAndCapitalDistributionClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_InterestReceivedClassifiedAsCashFlow" abstract="false" name="InterestReceivedClassifiedAsCashFlow" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_InterestPaidClassifiedAsCashFlow" abstract="false" name="InterestPaidClassifiedAsCashFlow" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentContract" abstract="false" name="AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentContract" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_AdjustmentsForGainsLossesOnFairValueAdjustmentFinancialInstruments" abstract="false" name="AdjustmentsForGainsLossesOnFairValueAdjustmentFinancialInstruments" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="op_LoansAndAdvancesToBanksOnDemand" abstract="false" name="LoansAndAdvancesToBanksOnDemand" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
</xs:schema>
